Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class ConfidencePredictingClassifierTrainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<ConfidencePredictingClassifier>
          cc.mallet.classify.ConfidencePredictingClassifierTrainer

All Implemented Interfaces:
  Boostable

    public class ConfidencePredictingClassifierTrainer

extends ClassifierTrainer<ConfidencePredictingClassifier>
implements Boostable

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`ConfidencePredictingClassifierTrainer(ClassifierTrainer underlyingClassifierTrainer, InstanceList validationSet)`
`ConfidencePredictingClassifierTrainer(ClassifierTrainer underlyingClassifierTrainer, InstanceList validationSet, Pipe confidencePredictingPipe)`

Method Summary
`ConfidencePredictingClassifier` | `getClassifier()`
`ConfidencePredictingClassifier` | `train(InstanceList trainList)`

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfidencePredictingClassifierTrainer

    public ConfidencePredictingClassifierTrainer(ClassifierTrainer underlyingClassifierTrainer,
                                                 InstanceList validationSet,
                                                 Pipe confidencePredictingPipe)

### ConfidencePredictingClassifierTrainer

    public ConfidencePredictingClassifierTrainer(ClassifierTrainer underlyingClassifierTrainer,
                                                 InstanceList validationSet)

Method Detail

### getClassifier

    public ConfidencePredictingClassifier getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<ConfidencePredictingClassifier>`

### train

    public ConfidencePredictingClassifier train(InstanceList trainList)

  Specified by:
    `train` in class `ClassifierTrainer<ConfidencePredictingClassifier>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD